Skip to main content
GET
/
tasks
List Tasks
curl --request GET \
  --url https://api.example.com/tasks
[
  {
    "filesystem_id": "<string>",
    "id": "<string>",
    "namespace_id": "<string>",
    "agents": [
      {
        "created_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "id": "<string>",
        "name": "<string>",
        "namespace_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "agent_input_type": "text",
        "registered_at": "2023-11-07T05:31:56Z",
        "registration_metadata": {},
        "status": "ACTIVE",
        "status_reason": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "created_version_id": "<string>",
    "current_version_id": "<string>",
    "name": "<string>",
    "params": {},
    "status": "IDLE",
    "status_reason": "<string>",
    "task_metadata": {},
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

agent_id
string | null

Optional agent filter. When provided, we authorize it via direct OpenFGA Check and avoid ListObjects(agent) to prevent false 403s from transient/partial list results.

namespace_id
string | null
agent_name
string | null
branch_id
string | null
status
enum<string>[]
Available options:
IDLE,
CANCELED,
COMPLETED,
FAILED,
RUNNING,
TERMINATED,
TIMED_OUT,
DELETED
created_after
string<date-time> | null
created_before
string<date-time> | null
include_total
boolean
default:false
limit
integer
default:50
page_number
integer
default:1
order_by
string | null
order_direction
string
default:desc
relationships
enum<string>[]

Task relationships that can be loaded

Available options:
agents

Response

Successful Response

filesystem_id
string
required
id
string
required
namespace_id
string
required
agents
Agent · object[] | null
created_at
string<date-time> | null
created_version_id
string | null
current_version_id
string | null
name
string | null
params
Task parameters · object
status
enum<string> | null
Available options:
IDLE,
CANCELED,
COMPLETED,
FAILED,
RUNNING,
TERMINATED,
TIMED_OUT,
DELETED
status_reason
string | null
task_metadata
Task metadata · object
updated_at
string<date-time> | null